import { defineComponent as d, computed as r, createElementBlock as i, createCommentVNode as s, openBlock as c, createElementVNode as f, toDisplayString as t, unref as _ } from "vue";
import { useI18n as h } from "vue-i18n";
import { ap as V, ar as g } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { b as u } from "./file-value.json_vue_type_i18n_index_0_src_true_lang-BPEd6MKW.mjs";
const v = {
  key: 0,
  class: "d-flex align-center"
}, y = ["href"], b = {
  key: 0,
  class: "ml-2"
}, k = /* @__PURE__ */ d({
  __name: "DatahubDataTypeFileValueRenderer",
  props: {
    row: {},
    rowIndex: {},
    cell: {},
    cellValue: {},
    dataTypeInstance: {},
    modelValue: {}
  },
  setup(p) {
    const o = p, { t: m } = h(), n = r(() => {
      var e, l;
      return (l = (e = o.cellValue) == null ? void 0 : e.files) != null && l.length ? V(
        g(),
        `Actindo.Modules.Actindo.ECM.Download.download?id=${encodeURIComponent(o.cellValue.files[0].id)}`
      ) : null;
    }), a = r(() => {
      var e, l;
      return ((l = (e = o.cellValue) == null ? void 0 : e.files) == null ? void 0 : l.length) - 1;
    });
    return (e, l) => n.value ? (c(), i("div", v, [
      f("a", { href: n.value }, t(e.cellValue.files[0].fileName), 9, y),
      a.value ? (c(), i("span", b, " +" + t(a.value) + " " + t(_(m)("datahub-plugin.file-value.files")), 1)) : s("", !0)
    ])) : s("", !0);
  }
});
typeof u == "function" && u(k);
export {
  k as default
};
